/**
 * Copyright 2020 Google Inc. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { JSHandle } from './JSHandle';
interface ConsoleMessageLocation {
    url?: string;
    lineNumber?: number;
    columnNumber?: number;
}
export declare class ConsoleMessage {
    private _type;
    private _text;
    private _args;
    private _location;
    constructor(type: string, text: string, args: JSHandle[], location?: ConsoleMessageLocation);
    type(): string;
    text(): string;
    args(): JSHandle[];
    location(): ConsoleMessageLocation;
}
export {};
//# sourceMappingURL=ConsoleMessage.d.ts.map